<?php


return  
    [
        'model' => [
            'model' => \Bixo\CrossTrade\Models\OrderVehicle::class,
            'table' => 'bixo_cross_trade_order_vehicles',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['clienty_name',  'client_mobile',  'designation',  'country_city_port',  'company_name',  'vehicle',  'interior_color',  'exterior_color',  'production_date',  'engine_size',  'fuel_type',  'steering',  'user_id'],
            'translatables' => [],
            'upload_folder' => 'cross_trade/order_vehicle',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
             
                'marking'    => 'array',
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "clienty_name", 
                "type" => "text", 
                "label" => 'cross_trade::order_vehicle.label.clienty_name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "client_mobile", 
                "type" => "text", 
                "label" => 'cross_trade::order_vehicle.label.client_mobile', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "designation", 
                "type" => "text", 
                "label" => 'cross_trade::order_vehicle.label.designation', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "country_city_port", 
                "type" => "text", 
                "label" => 'cross_trade::order_vehicle.label.country_city_port', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "company_name", 
                "type" => "text", 
                "label" => 'cross_trade::order_vehicle.label.company_name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "vehicle", 
                "type" => "text", 
                "label" => 'cross_trade::order_vehicle.label.vehicle', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "interior_color", 
                "type" => "text", 
                "label" => 'cross_trade::order_vehicle.label.interior_color', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "exterior_color", 
                "type" => "text", 
                "label" => 'cross_trade::order_vehicle.label.exterior_color', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "production_date", 
                "type" => "text", 
                "label" => 'cross_trade::order_vehicle.label.production_date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "engine_size", 
                "type" => "text", 
                "label" => 'cross_trade::order_vehicle.label.engine_size', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "fuel_type", 
                "type" => "text", 
                "label" => 'cross_trade::order_vehicle.label.fuel_type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "steering", 
                "type" => "text", 
                "label" => 'cross_trade::order_vehicle.label.steering', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'clienty_name',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'cross_trade::order_vehicle.label.clienty_name',
                "placeholder" => 'cross_trade::order_vehicle.placeholder.clienty_name',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'client_mobile',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'cross_trade::order_vehicle.label.client_mobile',
                "placeholder" => 'cross_trade::order_vehicle.placeholder.client_mobile',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'designation',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'cross_trade::order_vehicle.label.designation',
                "placeholder" => 'cross_trade::order_vehicle.placeholder.designation',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'country_city_port',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'cross_trade::order_vehicle.label.country_city_port',
                "placeholder" => 'cross_trade::order_vehicle.placeholder.country_city_port',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'company_name',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'cross_trade::order_vehicle.label.company_name',
                "placeholder" => 'cross_trade::order_vehicle.placeholder.company_name',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'vehicle',
                "element" => 'package::package.formcontrols.TEXT',
                "type" => 'package::package.formcontrols.TEXT',
                "label" => 'cross_trade::order_vehicle.label.vehicle',
                "placeholder" => 'cross_trade::order_vehicle.placeholder.vehicle',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'interior_color',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'cross_trade::order_vehicle.label.interior_color',
                "placeholder" => 'cross_trade::order_vehicle.placeholder.interior_color',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'exterior_color',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'cross_trade::order_vehicle.label.exterior_color',
                "placeholder" => 'cross_trade::order_vehicle.placeholder.exterior_color',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'production_date',
                "element" => 'package::package.formcontrols.DATETIME',
                "type" => 'package::package.formcontrols.DATETIME',
                "label" => 'cross_trade::order_vehicle.label.production_date',
                "placeholder" => 'cross_trade::order_vehicle.placeholder.production_date',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'engine_size',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'cross_trade::order_vehicle.label.engine_size',
                "placeholder" => 'cross_trade::order_vehicle.placeholder.engine_size',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'fuel_type',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'cross_trade::order_vehicle.label.fuel_type',
                "placeholder" => 'cross_trade::order_vehicle.placeholder.fuel_type',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'steering',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'cross_trade::order_vehicle.label.steering',
                "placeholder" => 'cross_trade::order_vehicle.placeholder.steering',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'cross_trade/order_vehicle/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'cross_trade/order_vehicle/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'cross_trade/order_vehicle',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'cross_trade/order_vehicle',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'cross_trade/order_vehicle',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'cross_trade/order_vehicle',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'cross_trade::order_vehicle.label.created_at',
            'name' => 'cross_trade::order_vehicle.label.name',
            'status' => 'cross_trade::order_vehicle.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "cross_trade::order_vehicle.groups.main",
                'group' => "main.main",
                'title' => "cross_trade::order_vehicle.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "cross_trade::order_vehicle.groups.details",
                'group' => "main.details",
                'title' => "cross_trade::order_vehicle.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "cross_trade::order_vehicle.groups.images",
                'group' => "main.images",
                'title' => "cross_trade::order_vehicle.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "cross_trade::order_vehicle.groups.settings",
                'group' => "main.settings",
                'title' => "cross_trade::order_vehicle.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Bixo',
            'package' => 'CrossTrade',
            'module' => 'OrderVehicle',
        ],

         
        'workflow' => [
            'type' => 'workflow',
            'marking_store' => [
                'type' => 'multiple_state',
                'arguments' => ['status'],
                // 'property' => 'status'
            ],
            'supports' => [
                \Bixo\CrossTrade\Models\OrderVehicle::class,
            ],
            'places' => [
                'Draft',
                'Pending',
                'Approved',
                'Closed',
                'Published',
                'Archived',
                'Unpublished',
            ],
            'initial_places' => ['Draft'],
            'transitions' => [
                'submit' => [
                    'from' => 'Draft',
                    'to' => 'Pending',
                    'metadata' => [
                        'roles' => [
                            'user' => ['*'],
                        ],
                        'rules' => [
                            'name' => 'required',
                        ]
                    ],
                ],
                'reject' => [
                    'from' => 'Pending',
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ],
                        'form' => [
                            'title' => 'Reject',
                            'button' => [
                                'cancel' > [
                                    'icon' > '',
                                    'varient' > '',
                                    'label' > 'Cancel'
                                ],
                                'submit' > [
                                    'icon' > '',
                                    'varient' > 'primary',
                                    'label' > 'Reject'
                                ]
                            ],
                            'fields' => [
                                'count' => [
                                    "element" => 'select',
                                    "type" => 'select',
                                    "label" => 'advert::advert.label.count',
                                    "placeholder" => 'advert::advert.placeholder.count',
                                    "options" => call_user_func(function () {
                                        return [
                                            1 => ['value' => 1, 'text' => 1],
                                            2 => ['value' => 2, 'text' => 2],
                                            3 => ['value' => 3, 'text' => 3],
                                            4 => ['value' => 4, 'text' => 4],
                                        ];
                                    }),
                                    "col" => "12",
                                ],
                                'comment' => [
                                    "element" => 'textarea',
                                    "type" => 'text',
                                    "required" => 'required',
                                    "label" => 'advert::advert.label.comment',
                                    "placeholder" => 'advert::advert.placeholder.comment',
                                    "col" => "12",
                                ],
                            ],
                        ],
                    ],
                ],
                'approve' => [
                    'from' => 'Pending',
                    'to' => 'Approved',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ]
                    ],
                ],
                'publish' => [
                    'from' => ['Approved', 'Unpublished'],
                    'to' => 'Published',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unpublish' => [
                    'from' => ['Published'],
                    'to' => 'Unpublished',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'archive' => [
                    'from' => ['Published', 'Unpublished'],
                    'to' => 'Archived',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unarchive' => [
                    'from' => ['Archived'],
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
            ],
        ],
        
         
        'actions' => [
            'copy' => [
                'type' => ['Details', 'List'],
                'label' => 'cross_trade::order_vehicle.action.copy',
                'roles' => [
                    'user' => ['superuser', 'admin'],
                    'team' => ['admin'],
                    'permission' => ['cross_trade.order_vehicle.copy', 'cross_trade.order_vehicle.duplicate'],
                ],
                'form' => [
                    'count' => [
                        "element" => 'select',
                        "type" => 'select',
                        "label" => 'cross_trade::order_vehicle.label.count',
                        "placeholder" => 'cross_trade::order_vehicle.placeholder.count',
                        "options" => call_user_func(function () {
                            return [
                                1 => ['value' => 1, 'text' => 1],
                                2 => ['value' => 2, 'text' => 2],
                                3 => ['value' => 3, 'text' => 3],
                                4 => ['value' => 4, 'text' => 4],
                            ];
                        }),
                        "col" => "12",
                    ],
                    'comment' => [
                        "element" => 'textarea',
                        "type" => 'text',
                        "required" => 'required',
                        "label" => 'cross_trade::order_vehicle.label.comment',
                        "placeholder" => 'cross_trade::order_vehicle.placeholder.comment',
                        "col" => "12",
                    ],
                ],
            ],
            'empty' => [
                'type' => ['List', 'Details'],
                'label' => 'cross_trade::order_vehicle.action.empty',
                'roles' => [
                    'user' => ['superuser'],
                ],
            ],
            
            'section' => [
                'type' => ['Group'],
                'api_url' => '',
                'action' => 'list',
                'label' => 'cross_trade::order_vehicle.action.section',
                'store' => 'main.units',
                'group' => 'main.units'
            ],

        ]
        
    ];
