<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBixoCrossTradeOrderVehiclesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: bixo_cross_trade_order_vehicles
         */
        Schema::create('bixo_cross_trade_order_vehicles', function ($table) {
            $table->increments('id');
            $table->package::package.fieldtype.VARCHAR('clienty_name')->nullable();
            $table->package::package.fieldtype.VARCHAR('client_mobile')->nullable();
            $table->package::package.fieldtype.VARCHAR('designation')->nullable();
            $table->package::package.fieldtype.VARCHAR('country_city_port')->nullable();
            $table->package::package.fieldtype.VARCHAR('company_name')->nullable();
            $table->package::package.fieldtype.TEXT('vehicle')->nullable();
            $table->package::package.fieldtype.VARCHAR('interior_color')->nullable();
            $table->package::package.fieldtype.VARCHAR('exterior_color')->nullable();
            $table->package::package.fieldtype.DATETIME('production_date')->nullable();
            $table->package::package.fieldtype.VARCHAR('engine_size')->nullable();
            $table->package::package.fieldtype.VARCHAR('fuel_type')->nullable();
            $table->package::package.fieldtype.VARCHAR('steering')->nullable();
            $table->package::package.fieldtype.INT('user_id')->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('bixo_cross_trade_order_vehicles');
    }
}
