<?php

namespace Bixo\CrossTrade\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class OfferUsVehicleTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('bixo_cross_trade_offer_us_vehicles')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'bixo.cross_trade.offer_us_vehicle.view',
                'name'      => 'View OfferUsVehicle',
            ],
            [
                'slug'      => 'bixo.cross_trade.offer_us_vehicle.create',
                'name'      => 'Create OfferUsVehicle',
            ],
            [
                'slug'      => 'bixo.cross_trade.offer_us_vehicle.edit',
                'name'      => 'Update OfferUsVehicle',
            ],
            [
                'slug'      => 'bixo.cross_trade.offer_us_vehicle.delete',
                'name'      => 'Delete OfferUsVehicle',
            ],
            
                        [
                'slug'      => 'bixo.cross_trade.offer_us_vehicle.verify',
                'name'      => 'Verify OfferUsVehicle',
            ],
            [
                'slug'      => 'bixo.cross_trade.offer_us_vehicle.approve',
                'name'      => 'Approve OfferUsVehicle',
            ],
            [
                'slug'      => 'bixo.cross_trade.offer_us_vehicle.publish',
                'name'      => 'Publish OfferUsVehicle',
            ],
            [
                'slug'      => 'bixo.cross_trade.offer_us_vehicle.unpublish',
                'name'      => 'Unpublish OfferUsVehicle',
            ],
            [
                'slug'      => 'bixo.cross_trade.offer_us_vehicle.cancel',
                'name'      => 'Cancel OfferUsVehicle',
            ],
            [
                'slug'      => 'bixo.cross_trade.offer_us_vehicle.archive',
                'name'      => 'Archive OfferUsVehicle',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/cross_trade/offer_us_vehicle',
                'name'        => 'OfferUsVehicle',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/cross_trade/offer_us_vehicle',
                'name'        => 'OfferUsVehicle',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'offer_us_vehicle',
                'name'        => 'OfferUsVehicle',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'CrossTrade',
                'module'    => 'OfferUsVehicle',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'bixo.cross_trade.offer_us_vehicle.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
