<?php

namespace Bixo\CrossTrade\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class OrderVehicleTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('bixo_cross_trade_order_vehicles')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'bixo.cross_trade.order_vehicle.view',
                'name'      => 'View OrderVehicle',
            ],
            [
                'slug'      => 'bixo.cross_trade.order_vehicle.create',
                'name'      => 'Create OrderVehicle',
            ],
            [
                'slug'      => 'bixo.cross_trade.order_vehicle.edit',
                'name'      => 'Update OrderVehicle',
            ],
            [
                'slug'      => 'bixo.cross_trade.order_vehicle.delete',
                'name'      => 'Delete OrderVehicle',
            ],
            
                        [
                'slug'      => 'bixo.cross_trade.order_vehicle.verify',
                'name'      => 'Verify OrderVehicle',
            ],
            [
                'slug'      => 'bixo.cross_trade.order_vehicle.approve',
                'name'      => 'Approve OrderVehicle',
            ],
            [
                'slug'      => 'bixo.cross_trade.order_vehicle.publish',
                'name'      => 'Publish OrderVehicle',
            ],
            [
                'slug'      => 'bixo.cross_trade.order_vehicle.unpublish',
                'name'      => 'Unpublish OrderVehicle',
            ],
            [
                'slug'      => 'bixo.cross_trade.order_vehicle.cancel',
                'name'      => 'Cancel OrderVehicle',
            ],
            [
                'slug'      => 'bixo.cross_trade.order_vehicle.archive',
                'name'      => 'Archive OrderVehicle',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/cross_trade/order_vehicle',
                'name'        => 'OrderVehicle',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/cross_trade/order_vehicle',
                'name'        => 'OrderVehicle',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'order_vehicle',
                'name'        => 'OrderVehicle',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'CrossTrade',
                'module'    => 'OrderVehicle',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'bixo.cross_trade.order_vehicle.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
