<?php

// Routes for cross_trade.

// Guard routes for order_vehicle
Route::prefix('{guard}/cross_trade')->group(function () {

    Route::get('order_vehicle/report/{report}', 'OrderVehicleReportController');
    Route::post('order_vehicle/exim/{exim}', 'OrderVehicleEximController');
    Route::patch('order_vehicle/actions/{action}', 'OrderVehicleActionsController');
    Route::patch('order_vehicle/action/{order_vehicle}/{action}', 'OrderVehicleActionController');
    Route::patch('order_vehicle/workflow/{order_vehicle}/{transition}', 'OrderVehicleWorkflowController');
    Route::resource('order_vehicle', 'OrderVehicleResourceController');
});

// Guard routes for offer_us_vehicle
Route::prefix('{guard}/cross_trade')->group(function () {

    Route::get('offer_us_vehicle/report/{report}', 'OfferUsVehicleReportController');
    Route::post('offer_us_vehicle/exim/{exim}', 'OfferUsVehicleEximController');
    Route::patch('offer_us_vehicle/actions/{action}', 'OfferUsVehicleActionsController');
    Route::patch('offer_us_vehicle/action/{offer_us_vehicle}/{action}', 'OfferUsVehicleActionController');
    Route::patch('offer_us_vehicle/workflow/{offer_us_vehicle}/{transition}', 'OfferUsVehicleWorkflowController');
    Route::resource('offer_us_vehicle', 'OfferUsVehicleResourceController');
});



// Public routes for cross_trade
Route::get('cross_trades/', 'CrossTradePublicController@index');
Route::get('cross_trade/{slug?}', 'CrossTradePublicController@show');
