<?php

// Web routes  for cross_trade.

include('routes.php');


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            include('routes.php');

        }
    );
}

// Workflow routes for order_vehicle

Route::prefix('{guard}/order_vehicle')->group(function () {

    Route::get('/workflow/{order_vehicle}/{user}', 'OrderVehicleWorkflowController@get')
        ->name('bixo.cross_trade.workflow');
    Route::post('/workflow/{order_vehicle}/{user}', 'OrderVehicleWorkflowController@post');

    Route::get('/action/{order_vehicle}/{user}', 'OrderVehicleActionController@get')
        ->name('bixo.cross_trade.action');
    Route::post('/action/{order_vehicle}/{user}', 'OrderVehicleActionController@post');

});


// Workflow routes for offer_us_vehicle

Route::prefix('{guard}/offer_us_vehicle')->group(function () {

    Route::get('/workflow/{offer_us_vehicle}/{user}', 'OfferUsVehicleWorkflowController@get')
        ->name('bixo.cross_trade.workflow');
    Route::post('/workflow/{offer_us_vehicle}/{user}', 'OfferUsVehicleWorkflowController@post');

    Route::get('/action/{offer_us_vehicle}/{user}', 'OfferUsVehicleActionController@get')
        ->name('bixo.cross_trade.action');
    Route::post('/action/{offer_us_vehicle}/{user}', 'OfferUsVehicleActionController@post');

});

