<?php

namespace Bixo\CrossTrade\Actions;

use Illuminate\Http\Request;
use Bixo\CrossTrade\Models\OfferUsVehicle;
use Litepie\Actions\Concerns\AsAction;
use Illuminate\Support\Str;

class OfferUsVehicleWorkflow
{
    use AsAction;
    
    private $model;
    private $namespace = 'bixo.cross_trade.$offer_us_vehicle';
    private $transition;
    protected $eventClass = \Bixo\CrossTrade\Events\OfferUsVehicleWorkflow::class;
    private $function;
    private $request;

    public function handle(string $transition, OfferUsVehicle $offer_us_vehicle, array $request = [])
    {
        $this->model = $offer_us_vehicle;
        $this->request = $request;
        $this->transition = $transition;
        $this->function = Str::camel($transition);
        $this->executeWorkflow();
        return $this->model;
    }

    public function submit()
    {
        $this->model->status = 'Pending';
        $this->model->save();
        return $this->model;
    }

    public function approve()
    {
        $this->model->status = 'Approved';
        $this->model->save();
        return $this->model;
    }

    public function reject()
    {
        $this->model->status = 'Draft';
        $this->model->save();
        return $this->model;
    }

    public function publish()
    {
        $this->model->status = 'Published';
        $this->model->save();
        return $this->model;
    }

    public function unpublish()
    {
        $this->model->status = 'Unpublished';
        $this->model->save();
        return $this->model;
    }

    public function archive()
    {
        $this->model->status = 'Archived';
        $this->model->save();
        return $this->model;
    }

    public function unarchive()
    {
        $this->model->status = 'Draft';
        $this->model->save();
        return $this->model;
    }
}
