<?php

namespace Bixo\CrossTrade\Http\Controllers;

use App\Http\Controllers\ActionController as BaseController;
use Exception;
use Illuminate\Support\Str;
use Bixo\CrossTrade\Actions\OfferUsVehicleExim;
use Bixo\CrossTrade\Http\Requests\OfferUsVehicleEximRequest;

/**
 * Admin web controller class.
 */
class OfferUsVehicleEximController extends BaseController
{
    /**
     * Action controller function for offer_us_vehicle.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(OfferUsVehicleEximRequest $request, $exim)
    {
        try {
            $function = Str::camel($exim);
            $data = OfferUsVehicleExim::$function($request);
            return $this->response->message(trans('messages.success.updated', ['Module' => trans('cross_trade:offer_us_vehicle.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('cross_trade/offer_us_vehicle/' . $exim))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('cross_trade/offer_us_vehicle/' . $exim))
                ->redirect();
        }
    }
}
