<?php

namespace Bixo\CrossTrade\Http\Controllers;

use App\Http\Controllers\Controller as BaseController;
use Exception;
use Bixo\CrossTrade\Http\Requests\OrderVehicleActionsRequest;
use Bixo\CrossTrade\Actions\OrderVehicleActions;

/**
 * Admin web controller class.
 */
class OrderVehicleActionsController extends BaseController
{

    /**
     * Action controller function for order_vehicle.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(OrderVehicleActionsRequest $request, $action)
    {
        try {
            $order_vehicle = OrderVehicleActions::run($request, $action);
            return $this->response->message(trans('messages.success.updated', ['Module' => trans('cross_trade::order_vehicle.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('cross_trade/order_vehicle/' . $action))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('cross_trade/order_vehicle/' . $action))
                ->redirect();
        }
    }
}
