<?php

namespace Bixo\CrossTrade\Http\Controllers;

use App\Http\Controllers\ActionController as BaseController;
use Exception;
use Bixo\CrossTrade\Actions\OrderVehicleReport;
use Bixo\CrossTrade\Http\Requests\OrderVehicleReportRequest;

/**
 * Admin web controller class.
 */
class OrderVehicleReportController extends BaseController
{
    /**
     * Action controller function for order_vehicle.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(OrderVehicleReportRequest $request, $report)
    {
        try {
        
            $this->model = app(OrderVehicle::class);
            $data = OrderVehicleReport::run($request, $report);

            return $this->response->message(trans('messages.success.updated', ['Module' => trans('cross_trade::order_vehicle.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('cross_trade/order_vehicle/' . $report))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('cross_trade/order_vehicle/' . $report))
                ->redirect();
        }
    }
}
