<?php

namespace Bixo\CrossTrade\Policies;

use Bixo\CrossTrade\Models\OfferUsVehicle;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait OfferUsVehicleAction
{

    /**
     * Determine if the given user can copy the given offer_us_vehicle.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, OfferUsVehicle $offer_us_vehicle)
    {

        if ($authUser->canDo('cross_trade.offer_us_vehicle.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given offer_us_vehicle.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, OfferUsVehicle $offer_us_vehicle) {

        if ($authUser->canDo('cross_trade.offer_us_vehicle.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given offer_us_vehicle.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, OfferUsVehicle $offer_us_vehicle)
    {

        if ($authUser->canDo('cross_trade.offer_us_vehicle.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
