<?php

namespace Bixo\CrossTrade\Policies;

use Bixo\CrossTrade\Models\OrderVehicle;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait OrderVehicleAction
{

    /**
     * Determine if the given user can copy the given order_vehicle.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, OrderVehicle $order_vehicle)
    {

        if ($authUser->canDo('cross_trade.order_vehicle.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given order_vehicle.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, OrderVehicle $order_vehicle) {

        if ($authUser->canDo('cross_trade.order_vehicle.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given order_vehicle.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, OrderVehicle $order_vehicle)
    {

        if ($authUser->canDo('cross_trade.order_vehicle.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
