<?php

namespace Bixo\CrossTrade\Policies;

use Illuminate\Foundation\Auth\User as Authenticatable;

trait OrderVehicleExim
{

    /**
     * Determine if the given user can approve the given order_vehicle.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function import(Authenticatable $user)
    {
        if ($user->canDo('cross_trade.order_vehicle.import')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given order_vehicle.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function export(Authenticatable $user)
    {
        if ($user->canDo('cross_trade.order_vehicle.export')) {
            return true;
        }

        return false;
    }
}
