<?php


namespace Bixo\CrossTrade\Policies;

use Litepie\User\Interfaces\UserPolicyInterface;

trait OrderVehicleReport
{

    /**
     * Determine if the given user can approve the given order_vehicle.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function povote(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('cross_trade.order_vehicle.report.povote')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given order_vehicle.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function report(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('cross_trade.order_vehicle.report')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given order_vehicle.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function download(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('cross_trade.order_vehicle.report.download')) {
            return true;
        }

        return false;
    }
}
