<?php

namespace Bixo\CrossTrade\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind OrderVehicle policy
        \Bixo\CrossTrade\Models\OrderVehicle::class 
        => \Bixo\CrossTrade\Policies\OrderVehiclePolicy::class,// Bind OfferUsVehicle policy
        \Bixo\CrossTrade\Models\OfferUsVehicle::class 
        => \Bixo\CrossTrade\Policies\OfferUsVehiclePolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
