<?php

namespace Bixo\CrossTrade\Providers;

use Illuminate\Foundation\Support\Providers\EventServiceProvider as ServiceProvider;
use Bixo\CrossTrade\Events\CrossTradeAction;
use Bixo\CrossTrade\Events\CrossTradeWorkflow;
use Bixo\CrossTrade\Listeners\CrossTradeAction as CrossTradeActionListener;
use Bixo\CrossTrade\Listeners\CrossTradeWorkflow as CrossTradeWorkflowListener;


class EventServiceProvider extends ServiceProvider
{
    /**
     * The event listener mappings for the application.
     *
     * @var array
     */
    protected $listen = [
    
        CrossTradeAction::class => [
            CrossTradeActionListener::class,
        ],
        CrossTradeWorkflow::class => [
            CrossTradeWorkflowListener::class,
        ],
    ];

    /**
     * Register any other events for your application.
     *
     * @param \Illuminate\Contracts\Events\Dispatcher $events
     *
     * @return void
     */
    public function boot()
    {
        parent::boot();

        //
    }
}
